Subject: Re: bug#34663: remove ftx font backend

From: Robert Pluim <[email-masked]>
Date: Tue, 07 Jan 2020 16:59:41 +0100

>>>>> On Tue, 07 Jan 2020 17:55:27 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Tue, 07 Jan 2020 08:14:48 +0100
    >> 
    >> >> Can we do something similar for XFT (and flip --with-cairo to
    >> >> enabled)?
    >> 
    Eli> I understand about enabling Cairo, but what exactly are you proposing
    Eli> to do with XFT?
    >> 
    >> Add an entry to NEWS on master that itʼs deprecated and will be
    >> removed, and add verbiage to configure telling people to install cairo
    >> development packages if XFT is detected. That means weʼd remove XFT in
    >> emacs-29.

    Eli> But removing XFT basically means we are deprecating non-Cairo builds
    Eli> on X.  Is that really what we want to do?

'we' I donʼt know. 'I' have a very definite opinion :-)

How about I just start by flipping cairo on master?

Robert